package cn.pluss.platform.leshua;

/**
 * @author yuchen
 * 
 * @Description 
 *  乐刷商户进件dto
 */
public class MerchantRegisterDTO {
	
	/**
	 * 商户基本信息
	 */
	private BaseInfo baseInfo;
	
	/**
	 * 法人信息，个人类型填联系人信息
	 */
	private LegalPerson legalPerson;
	
	/**
	 * 联系人信息
	 */
	private ContactInfo contactInfo;
	
	/**
	 * 店铺地址信息
	 */
	private AddressInfo addressInfo;
	
	/**
	 * 营业资质信息
	 */
	private LicenseInfo licenseInfo;
	
	/**
	 * 结算信息
	 */
	private AccountInfo accountInfo;
	
	/**
	 * 门店信息
	 */
	private ShopInfo shopInfo;

	public BaseInfo getBaseInfo() {
		return baseInfo;
	}

	public void setBaseInfo(BaseInfo baseInfo) {
		this.baseInfo = baseInfo;
	}

	public LegalPerson getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(LegalPerson legalPerson) {
		this.legalPerson = legalPerson;
	}

	public ContactInfo getContactInfo() {
		return contactInfo;
	}

	public void setContactInfo(ContactInfo contactInfo) {
		this.contactInfo = contactInfo;
	}

	public AddressInfo getAddressInfo() {
		return addressInfo;
	}

	public void setAddressInfo(AddressInfo addressInfo) {
		this.addressInfo = addressInfo;
	}

	public LicenseInfo getLicenseInfo() {
		return licenseInfo;
	}

	public void setLicenseInfo(LicenseInfo licenseInfo) {
		this.licenseInfo = licenseInfo;
	}

	public AccountInfo getAccountInfo() {
		return accountInfo;
	}

	public void setAccountInfo(AccountInfo accountInfo) {
		this.accountInfo = accountInfo;
	}

	public ShopInfo getShopInfo() {
		return shopInfo;
	}

	public void setShopInfo(ShopInfo shopInfo) {
		this.shopInfo = shopInfo;
	}
	
}

